<div class="grid-x" style="display: flex; justify-content: end; padding-top: 10px; padding-right: 16px;">
  <%= link_to 'Editar', "#{edit_proposal_path(proposal)}?is_from_participatory_text_preview=true", class: "button small"  %>
</div>
<%= form.hidden_field :deleted, id: "proposal-draft-#{form.index}-deleted" %>

<% unless can_edit %>
  <span class="is-invalid-label"> <%= t(".edition_blocked") %> </span>
<% end %>

<div class="grid-x">
  <div class="cell">
    <%= form.hidden_field :position, class: "position" %>
    
    <%= form.translated :text_field, :title, required: true, disabled: "disabled" %>
    <%= form.hidden_field :title, value: translated_attribute(proposal.title) %>
  </div>
</div>

<% if proposal.try(:article?) %>
  <div class="grid-x">
    <div class="cell">
      <%= form.translated :text_area, :body, required: true, rows: 5, disabled: "disabled" %>
      <%= form.hidden_field :body, value: translated_attribute(proposal.body) %>
    </div>
  </div>
  <% if false %>
    <div class="grid-x">
      <% if proposal.try(:image_attachment).try(:attached?) %>
        <div class="cell">
          <%= form.label :image_attachment %>
          <%= image_tag proposal.image_attachment.url %>
        </div>
      <% end %>
      </br>
        <div class="cell">
          <%= form.attachment :image_attachment,
            multiple: false,
            label: t("decidim.proposals.proposals.edit.add_image"),
            button_label: t("decidim.proposals.proposals.edit.add_image"),
            button_edit_label: t("decidim.proposals.proposals.edit.edit_image"),
            help_i18n_scope: "decidim.forms.file_help.image",
            extension_allowlist: Decidim::OrganizationSettings.for(current_organization).upload_allowed_file_extensions_image %>
        </div>
      </div>
    <% end %>

<% elsif proposal.table? %>
  <div>
    <%= form.text_area :body, rows: 5, placeholder: "Adicione o texto da tabela aqui", label: "Tabela via texto", help_text: "Para adicionar tabelas nesse campo apenas copie e cole o conteúdo de uma tabela aqui" %>
  </div>

  <div>
    <%= form.upload :attachment_file, optional: true, help: "Após importar o arquivo ele será renderizado no campo de texto" %>
  </div>
<% elsif proposal.try(:image?) %>
  <div class="grid-x">
    <% if proposal.try(:image_attachment).try(:attached?) %>
      <div class="cell">
        <%= form.label :image_attachment %>
        <%= image_tag proposal.image_attachment.url %>
      </div>
    <% end %>
    <br>
    <div class="cell">
      <%= form.attachment :image_attachment,
        multiple: false,
        label: t("decidim.proposals.proposals.edit.add_image"),
        button_label: t("decidim.proposals.proposals.edit.add_image"),
        button_edit_label: t("decidim.proposals.proposals.edit.edit_image"),
        help_i18n_scope: "decidim.forms.file_help.image",
        extension_allowlist: Decidim::OrganizationSettings.for(current_organization).upload_allowed_file_extensions_image %>
    </div>
  </div>

<% end %>
